=== examples/CMakeLists.txt ===
add_subdirectory(vsgqtviewer)
add_subdirectory(vsgqtmdi)
add_subdirectory(vsgqtwindows)
